hdcp22_tx: Data Structures

| hdcp22_tx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

XHdcp22_Tx | The XHdcpTx driver instance data
XHdcp22_Tx_AKEInit | This typedef contains the transmitted AKE_Init message definition
XHdcp22_Tx_AKENoStoredKm | This typedef contains the transmitted AKE_No_Stored_km message definition
XHdcp22_Tx_AKESendCert | This typedef contains the received AKE_Send_Cert message definition
XHdcp22_Tx_AKESendHPrime | This typedef contains the received AKE_Send_H_prime message definition
XHdcp22_Tx_AKESendPairingInfo | This typedef contains the received AKE_Send_Pairing_Info message definition
XHdcp22_Tx_AKEStoredKm | This typedef contains the transmitted AKE_Stored_km message definition
XHdcp22_Tx_CertRx | This typedef contains the public key certificate of Receiver that is received with AKE_Send_Cert
XHdcp22_Tx_Config | This typedef contains configuration information for the device
XHdcp22_Tx_DDCMessage | Message including the DDC Address
XHdcp22_Tx_Info | This typedef contains information about the HDCP22 transmitter
XHdcp22_Tx_LCInit | This typedef contains the transmitted LC_Init message definition
XHdcp22_Tx_LCSendLPrime | This typedef contains the received AKE_Send_L_prime message definition
XHdcp22_Tx_Log | This typedef contains the HDCP22 log list
XHdcp22_Tx_LogItem | This typedef is used to store logging events
XHdcp22_Tx_Message | Message buffer structure
XHdcp22_Tx_PairingInfo | This typedef contains the the used keys used for authentication with stored Km
XHdcp22_Tx_RepeatAuthSendAck | This typedef contains the RepeaterAuth_Send_Ack message definition
XHdcp22_Tx_RepeatAuthSendRecvIDList | This typedef contains the RepeaterAuth_Send_ReceiverID_List message definition
XHdcp22_Tx_RepeatAuthStreamManage | This typedef contains the RepeaterAuth_Stream_Manage message definition
XHdcp22_Tx_RepeatAuthStreamReady | This typedef contains the RepeaterAuth_Stream_Ready message definition
XHdcp22_Tx_RevocationList | This structure contains the HDCP2 Revocation information
XHdcp22_Tx_SKESendEks | This typedef contains the transmitted SKE_Send_Eks message definition
XHdcp22_Tx_Test | This typedef contains the HDCP22 test parameters and settings
XHdcp22_Tx_Timer | The current state and data for internal used timer
XHdcp22_Tx_Topology | This structure contains the HDCP topology information